%define majver %(echo %version | cut -d. -f 1)

Name:          gnome-disk-utility
Version:       42.0
Release:       1mamba
Summary:       GNOME disk management application
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.gnome.org/GNOME/gnome-disk-utility
Source:        https://download.gnome.org/sources/gnome-disk-utility/%{majver}/gnome-disk-utility-%{version}.tar.xz
Patch0:        gnome-disk-utility-3.8.2-gcc-4.8.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libcanberra-devel
BuildRequires: libdvdread-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libhandy-devel
BuildRequires: liblzma-devel
BuildRequires: libnotify-devel
BuildRequires: libpango-devel
BuildRequires: libpwquality-devel
BuildRequires: libsecret-devel
BuildRequires: libsystemd-devel
BuildRequires: udisks2-devel
## AUTOBUILDREQ-END
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gnome-doc-utils
BuildRequires: gnome-keyring-devel
BuildRequires: gtk-doc
BuildRequires: intltool
#BuildRequires: librarian-compat
BuildRequires: libavahi-gtk3-devel
BuildRequires: libsecret-devel
BuildRequires: libpwquality-devel
Obsoletes:     libgnome-disk-utility < 40.0
Obsoletes:     libgnome-disk-utility-devel < 40.0
Obsoletes:     gnome-disk-utility-nautilus < 40.0
#Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
This package contains the Palimpsest disk management application.
Palimpsest supports partitioning, file system creation, encryption, RAID, SMART monitoring, etc.

%package -n lib%{name}
Summary:       Shared libraries used by Palimpsest
Group:         System/Libraries
Requires:      udisks

%description -n lib%{name}
GNOME disk management application.

This package contains static libraries and header files need for development.

%package -n lib%{name}-devel
Summary:       Devel package for lib%{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
GNOME disk management application.
This package contains static libraries and header files needed for development.

%package nautilus
Summary:       %{name} Nautilus extension
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description nautilus
GNOME disk management application.
This package contains a Nautilus extension providing formatting functionality.

%debug_package

%prep
%setup -q
#%patch0 -p1

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

#echo " " > HACKING
#
#desktop-file-install --delete-original  --dir %{buildroot}%{_datadir}/applications \
#  %{buildroot}%{_datadir}/applications/palimpsest.desktop
#
#desktop-file-install --delete-original --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
#  %{buildroot}%{_sysconfdir}/xdg/autostart/gdu-notification-daemon.desktop

rm -f %{buildroot}%{_libdir}/*.*a
rm -f %{buildroot}%{_libdir}/nautilus/extensions-*.*/*.*a

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
update-desktop-database %{_datadir}/applications &> /dev/null


%post -n lib%{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%postun -n lib%{name}
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
/sbin/ldconfig

%posttrans -n lib%{name}
gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_bindir}/gnome-disk-image-mounter
%{_bindir}/gnome-disks
%{_libexecdir}/gsd-disk-utility-notify
#%{_libdir}/gnome-settings-daemon-*/gdu-sd-plugin.gnome-settings-plugin
#%{_libdir}/gnome-settings-daemon-*/libgdu-sd.a
#%{_libdir}/gnome-settings-daemon-*/libgdu-sd.la
#%{_libdir}/gnome-settings-daemon-*/libgdu-sd.so
#%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gdu-sd.gschema.xml
#%dir %{_datadir}/gnome-disk-utility
#%{_datadir}/gnome-disk-utility/*.ui
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_mandir}/man1/gnome-disk-image-mounter.1.gz
%{_mandir}/man1/gnome-disks.1.gz
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.DiskUtility-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.DiskUtility.svg
%doc AUTHORS COPYING
#NEWS README

%changelog
* Sat Mar 19 2022 Automatic Build System <autodist@mambasoft.it> 42.0-1mamba
- automatic version update by autodist

* Sat Sep 18 2021 Automatic Build System <autodist@mambasoft.it> 41.0-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 40.2-1mamba
- automatic version update by autodist

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 40.1-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 40.0-1mamba
- update to 40.0

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 3.38.2-1mamba
- automatic version update by autodist

* Mon Dec 14 2020 Automatic Build System <autodist@mambasoft.it> 3.38.1-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 3.38.0-1mamba
- automatic version update by autodist

* Mon Jul 20 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3-1mamba
- automatic version update by autodist

* Sun Mar 22 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 3.34.4-1mamba
- automatic version update by autodist

* Fri Sep 13 2019 Automatic Build System <autodist@mambasoft.it> 3.34.0-1mamba
- automatic version update by autodist

* Mon Apr 08 2019 Automatic Build System <autodist@mambasoft.it> 3.32.1-1mamba
- automatic version update by autodist

* Sun Mar 17 2019 Automatic Build System <autodist@mambasoft.it> 3.32.0-1mamba
- automatic version update by autodist

* Tue Oct 23 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Mon Sep 24 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 3.28.2-1mamba
- automatic version update by autodist

* Thu Jun 22 2017 Automatic Build System <autodist@mambasoft.it> 3.24.1-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.0-1mamba
- automatic version update by autodist

* Mon May 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Wed Apr 13 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 3.18.3.1-1mamba
- automatic version update by autodist

* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Mon Oct 12 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Sun May 24 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Thu May 14 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Apr 20 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Tue Oct 29 2013 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Tue Jun 04 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Sun Apr 07 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Oct 09 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Thu Sep 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.1-2mamba
- obsolete libgnome-disk-utility, libgnome-disk-utility-devel and gnome-disk-utility-nautilus

* Sat Apr 21 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Wed Apr 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Aug 24 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Tue Aug 23 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.32.1-2mamba
- rebuilt in devel

* Thu Mar 03 2011 gil <puntogil@libero.it> 2.32.1-1mamba
- package created by autospec
